package com.swago.home.official

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.swago.baseswago.cusview.BoldTextView
import com.swago.baseswago.cusview.MediumTextView
import com.swago.baseswago.model.home.OfficialMsgModel
import com.swago.home.R

/**
 *@date 2021/11/20 13:43
 *description:
 */
class OfficialAdapter : BaseQuickAdapter<OfficialMsgModel.ListBean,BaseViewHolder>(R.layout.item_official, arrayListOf()) {

    override fun convert(helper: BaseViewHolder, item: OfficialMsgModel.ListBean) {
        helper.apply {
            itemView.findViewById<BoldTextView>(R.id.tvTitle).text = item.message_title
            itemView.findViewById<MediumTextView>(R.id.tvContent).text = item.message_content
            itemView.findViewById<MediumTextView>(R.id.tvDate).text = item.message_time
        }
    }
}